{% extends "base.html" %} <!-- should always be the first line of html  -->
{% load static %} <!-- if there any static file is there then must put load static -->


{% block base_head %}
<script src="https://js.stripe.com/v3/"></script>

{% endblock %}	<!-- header block extra css file for only this page -->

{% block content %}

{% csrf_token %}
<div class="container" >
	<div class="row py-3">
        <div class="col-lg-12 col-md-12">
           <div class="container">
              <div id="3ds_result">
              </div>
           </div>
        </div>
    </div>
    <form action="{% url 'payment:payment_info' %}" method="POST" id="hiddenForm">
        
        <button type="submit" style="display: none;"></button>
    </form>
</div>



{% endblock %} <!-- body content of this page -->

{% block js %} 
<script>
function _3dsec(stripe_publishable_key, pi_secret) {
    document.addEventListener("DOMContentLoaded", function(event){
      var stripe = Stripe(stripe_publishable_key);

      stripe.confirmCardPayment(pi_secret).then(function(result) {
        if (result.error) {
          // Display error.message in your UI.
          $("#3ds_result").text("Error!");
          $("#3ds_result").addClass("text-danger");
          window.location.replace("http://127.0.0.1:8000/secure/payment_info/");
        } else {
            // The payment has succeeded. Go to Payment Info.
            var form = document.getElementById("hiddenForm"); 
            form.submit();
        }
      });
    }); // DOMContentLoaded
}
</script>
<script>_3dsec('{{ STRIPE_PUBLISHABLE_KEY }}', '{{pi_secret}}');</script>
 




{% endblock %}
